%define upstream_name    SVN-Simple
%define upstream_version 0.28

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:    Simple interface to subversion's editor interface
License:	GPL or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}/
Source0:    http://search.cpan.org/CPAN/authors/id/C/CL/CLKAO/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl-SVN
#needed for testing
BuildRequires:  subversion

BuildArch:  noarch


%description
SVN::Simple::Edit wraps the subversion delta editor with 
a perl friendly interface and then you could easily 
drive it for describing changes to a tree.

A common usage is to wrap the commit editor, so you could make 
commits to a subversion repository easily.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make


%install
%makeinstall_std

%files
%doc CHANGES README  META.yml
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.280.0-8pclos2017
- rebuild against updates

